Bug 1552648

Summary: libcxl: Incomplete Fedora build flags injection
Product: [Fedora] Fedora Reporter: Florian Weimer <fweimer>
Component: libcxlAssignee: Michel Normand <normand>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: normand, than
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: ppc64le   
OS: Unspecified   
Whiteboard:
Fixed In Version: libcxl-1.5-4.fc29 libcxl-1.5-4.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-17 00:11:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1071880, 1539083    

Description Florian Weimer 2018-03-07 13:28:02 UTC
/usr/lib64/libcxl.so.1.5 in libcxl-1.5-3.fc28.ppc64le has not been linked with the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config:

gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fstack-clash-protection -fPIC  -shared libcxl.o libcxl_sysfs.o -o libcxl.so.1.5 -Wl,--version-script symver.map -Wl,-soname,libcxl.so.1

The LDFLAGS settings are completely absent.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Ngo Than 2018-03-08 08:57:44 UTC
it's fixed in libcxl-1.5-4.fc29

Comment 2 Fedora Update System 2018-03-08 09:11:06 UTC
libcxl-1.5-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-97242054a6

Comment 3 Fedora Update System 2018-03-08 15:29:54 UTC
libcxl-1.5-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-97242054a6

Comment 4 Fedora Update System 2018-04-17 00:11:47 UTC
libcxl-1.5-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.